data twen;
  input x;
  y='data';
datalines;
2
3
5
8
9
10
11
18
20
22
25
40
42
46
73
75
77
78
79
80
81
;
run;
%let ixf=3;
%let piccat=D:\projects\sugs\mwsug2001\pics;

filename gout "&piccat\clustslide&ixf..cgm";


proc fastclus data=twen
                maxclusters=&ixf 
                cluster=clust&ixf
                least=2
                mean=outmn&ixf 
                                                 /* out=out&ixf  */
                outstat=stat&ixf
                noprint
                ;
        var x;
  run;


data anno&ixf;
  set outmn&ixf(keep=x);
  length xsys $ 1;
  length ysys $ 1;
  function='SYMBOL';
  yc='cluster';
  xsys='2';
  ysys='2';
  when='A';
  color='GREEN';
  style='marker';
  text='V';
  size=2;

  run;

/*------------------------------------------------------------------*                                                                                           
  | Summary:                                                         |                                                                                           
  |    Creating a simple plot using the table                        |                                                                                           
  |    WORK.TWEN and plotting                                        |                                                                                           
  |    y against x.                                                  |                                                                                           
  | Generated: 28OCT2001  9:13:26                                    |                                                                                           
  *------------------------------------------------------------------*/                                                                                          
 /*------------------------------------------------------------------*                                                                                           
  | The GOPTIONS statement allows you to have more control over the  |                                                                                           
  | final appearance of your output such as fonts, colors, text      |                                                                                           
  | height and so on.  The output device and destination is also     |                                                                                           
  | specified in the goptions statement.                             |                                                                                           
  *------------------------------------------------------------------*/                                                                                          
                                                                                                                                                                 
goptions reset=(axis, legend, pattern, symbol, title, footnote) norotate                                                                                         
         hpos=0 vpos=0 htext= ftext= ctext= target= gaccess= gsfmode= ;                                                                                          
goptions gsfmode=replace gsfname=gout device=cgmof97l targetdevice=cgmof97l  ctext=blue                                                                                                                                  
         graphrc interpol=join;                                                                                                                                  
 /*------------------------------------------------------------------*                                                                                           
  | SYMBOL statements allow you to supply information such as plot   |                                                                                           
  | character, plot lines, color and interpolation.                  |                                                                                           
  *------------------------------------------------------------------*/                                                                                          
symbol1 c=DEFAULT                                                                                                                                                
   i=NONE                                                                                                                                                        
   v=DOT                                                                                                                                                         
   cv=BLUE     
   height=1.5; 
   ;                                                                                                                                                             
 /*------------------------------------------------------------------*                                                                                           
  | AXIS statements allow you to supply information on how your      |                                                                                           
  | vertical and horizontal axes will appear on the graph.           |                                                                                           
  *------------------------------------------------------------------*/                                                                                          
axis1                                                                                                                                                            
   color=blue                                                                                                                                                    
   width=2.0                                                                                                                                                     
   ;                                                                                                                                                             
axis2                                                                                                                                                            
   color=blue  
   order= (' ' 'cluster' 'data' '.')
   width=2.0                                                                                                                                                     
   ;                                                                                                                                                             
axis3                                                                                                                                                            
   color=red                                                                                                                                                    
   width=2.0                                                                                                                                                     
   ;                                                                                                                                                             
 /*------------------------------------------------------------------*                                                                                           
  | This section produces the actual plot and any options that       |                                                                                           
  | directly relate to the data and the axis area.                   |                                                                                           
  *------------------------------------------------------------------*/                                                                                          
                                                                                                                                                                 
proc gplot data=WORK.TWEN annotate=anno&ixf;                                                                                                                                       
   plot y * x /                                                                                                                                                  
      haxis=axis1                                                                                                                                                
      vaxis=axis2                                                                                                                                                
      frame                                                                                                                                                      
      ;          

run; quit;                                                                                                                                                       
                    


filename goutn "&piccat\noclustslide&ixf..cgm";
goptions gsfmode=replace gsfname=goutn device=cgmof97l targetdevice=cgmof97l  ctext=blue                                                                                                                                  
         graphrc interpol=join;                                                                                                                                  

                                                                                                                                                                 
proc gplot data=WORK.TWEN ;                                                                                                                                       
   plot y * x /                                                                                                                                                  
      haxis=axis1                                                                                                                                                
      vaxis=axis2                                                                                                                                                
      frame                                                                                                                                                      
      ;          

run; quit;                                                                                                                                                       
       