/* needles.sas   compare needle plot to histogram */

%let sampsiz=200;

%global libroot;
%let libroot=d:\projects\sugs\mwsug2001;
options mprint;


data forneedl;
  keep v dither;
 retain  seed 912837;
 retain  seed2 0;
  do ix=1 to &sampsiz;
     call rannor(seed,v);
	 dither=5*ranuni(seed2);
    output;
  end;
run;


goptions reset=(axis, legend, pattern, symbol, title, footnote) norotate                                                                                         
         hpos=0 vpos=0 htext= ftext= ctext= target= gaccess= gsfname= ;  

goptions ctitle=black;
                                                                                 
axis1                                                                                                                                                            
   color=blue                                                                                                                                                    
   width=2.0 
   
   ;                                                                                                                                                             
axis2                                                                                                                                                            
   color=blue                                                                                                                                                    
   width=2.0    
   order=(0 to 120 by 20) 
   ;                                                                                                                                                             
axis3                                                                                                                                                            
   color=blue                                                                                                                                                    
   width=2.0                                                                                                                                                     
   ;                    
symbol1 c=DEFAULT i=NONE v=DOT h=1 PCT ;                                                                                                                                              
 title "200 obs from normal distribution";

 filename needle "&libroot.\dither.cgm";
goptions targetdevice=cgmof97l device=cgmof97L;
goptions gsfname=needle gsfmode=replace;

proc gplot data=work.forneedl;                                                                                                                              
   plot dither * v /                                                                                                                                          
      haxis=axis1                                                                                                                                                
      vaxis=axis2                                                                                                                                                
      frame                                                                                                                                                      
      ;          
 
run; quit;

symbol1 c=DEFAULT                                                                                                                                                
   i=needle
   color=black
   width=4                                                                                                                                        
   ;                                                                                                                                                             
                                                                                 
axis1                                                                                                                                                            
   color=blue                                                                                                                                                    
   width=2.0 
   
   ;                                                                                                                                                             
axis2                                                                                                                                                            
   color=blue                                                                                                                                                    
   width=2.0    
   order=(0 to 120 by 20) 
   ;                                                                                                                                                             
axis3                                                                                                                                                            
   color=blue                                                                                                                                                    
   width=2.0                                                                                                                                                     
   ;                                                                                                                                                             
                          
%macro cluster;
%DO IXF=2 %TO 16;
  proc fastclus data=forneedl
                maxclusters=&ixf 
                cluster=clust&ixf
                least=2
                mean=ndlmn&ixf 
                                      /* out=out&ixf */
                outstat=ndlstat&ixf
                noprint
                ;
        var v;
  run;





filename needle "&libroot.\needle&ixf..cgm";

goptions gsfname=needle gsfmode=replace;


title "&IXF Clusters";                                                                     

proc sort data=WORK.ndlmn&ixf;
 by v; 
 

proc gplot data=WORK.ndlmn&ixf;                                                                                                                                   
   plot _FREQ_ * v /                                                                                                                                        
      haxis=axis1                                                                                                                                                
      vaxis=axis2                                                                                                                                                
      frame                                                                                                                                                      
      ;                                                                                                                                                          
run; quit;                                                                                                                                                       
title "&IXF Bars";                                                                     
                         
                                                                                                                                                                 
proc gchart data=WORK.FORNEEDL;                                                                                                                                  
   VBAR v /                                                                                                                                                      
                                                                                                                                                                 
                                                                                                                                                                 
                                                                                                                                                                 
      maxis=axis1                                                                                                                                                
      raxis=axis2                                                                                                                                                
      frame                                                                                                                                                      
      type=FREQ                                                                                                                                                  
      levels=&IXF                                                                                                                                                   
     patternid=by                                                                                                                                         
      ;                                                                                                                                                          
run; quit;                                                                                                                                                       
                                                                                                                                                                 
                    


%END;
%mend cluster;
%cluster;
